Skip to content

Video Effects

POST https://www.kkiai.com/kling/v1/videos/effects

Request Parameters

Authorization

Add the Authorization parameter to the Header. Its value is the Token concatenated after Bearer.

Example: Authorization: Bearer ********************

Header Parameters

Parameter NameTypeRequiredDescriptionExample
Content-TypestringOptionalapplication/json
AuthorizationstringOptionalBearer {{YOUR_API_KEY}}

Body Parameters (application/json)

Parameter NameTypeRequiredDescription
effect_scenestringRequired
inputobjectOptionalReference image. Supports Base64-encoded images or image URLs (must be accessible). Supports different input structures for different tasks. The fields in the structure vary by scene, as shown in "Scene Request Body"
  └ model_namestringOptionalDual-person kling-v1, kling-v1-5, kling-v1-6
  └ modestringOptionalDual-person. Video generation mode; Enum values: std, pro; std: Standard mode (standard), basic mode, high cost-effectiveness; pro: Expert mode (high quality), high-performance mode, better video quality
  └ durationstringOptional
  └ imagesarray[string]Optional
  └ imagestringOptional
callback_urlstringOptional
external_task_idstringOptional

Request Example

json
{
    "effect_scene": "balloon_parade",
    "input": {
        "duration": "5",
        "image": "https://p2-kling.klingai.com/kcdn/cdn-kcdn112452/kling-op/effects_pic/balloon_parade.jpeg"
    },
    "callback_url": "",
    "external_task_id": ""
}

cURL Example

bash
curl --location --request POST 'https://www.kkiai.com/kling/v1/videos/effects' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "effect_scene": "balloon_parade",
    "input": {
        "duration": "5",
        "image": "https://p2-kling.klingai.com/kcdn/cdn-kcdn112452/kling-op/effects_pic/balloon_parade.jpeg"
    },
    "callback_url": "",
    "external_task_id": ""
}'

Response

🟢 200 Success

Response Example

json
{}